# Be sure to restart your server when you modify this file.

# Your secret key is used for verifying the integrity of signed cookies.
# If you change this key, all old signed cookies will become invalid!

# Make sure the secret is at least 30 characters and all random,
# no regular words or you'll be exposed to dictionary attacks.
# You can use `rails secret` to generate a secure secret key.

# Make sure the secrets in this file are kept private
# if you're sharing your code publicly.

default: &default
  omniauth:
    facebook:
      # It must be a boolean. Remember ENV variables doesn't support booleans.
      enabled: false
      app_id: <%%= ENV["OMNIAUTH_FACEBOOK_APP_ID"] %>
      app_secret: <%%= ENV["OMNIAUTH_FACEBOOK_APP_SECRET"] %>
    twitter:
      enabled: false
      api_key: <%%= ENV["OMNIAUTH_TWITTER_API_KEY"] %>
      api_secret: <%%= ENV["OMNIAUTH_TWITTER_API_SECRET"] %>
    google_oauth2:
      enabled: false
      client_id: <%%= ENV["OMNIAUTH_GOOGLE_CLIENT_ID"] %>
      client_secret: <%%= ENV["OMNIAUTH_GOOGLE_CLIENT_SECRET"] %>
  geocoder:
    here_api_key: <%%= ENV["GEOCODER_LOOKUP_API_KEY"] %>
  etherpad:
    server: <%%= ENV["ETHERPAD_SERVER"] %>
    api_key: <%%= ENV["ETHERPAD_API_KEY"] %>
    api_version: "1.2.1"

development:
  <<: *default
  secret_key_base: <%= SecureRandom.hex(64) %>
  omniauth:
    developer:
      enabled: true
      icon: phone

test:
  <<: *default
  secret_key_base: <%= SecureRandom.hex(64) %>
  omniauth:
    facebook:
      enabled: true
      app_id: fake-facebook-app-id
      app_secret: fake-facebook-app-secret
    twitter:
      enabled: true
      api_key: fake-twitter-api-key
      api_secret: fake-twitter-api-secret
    google_oauth2:
      enabled: true
      client_id:
      client_secret:

# Do not keep production secrets in the repository,
# instead read values from the environment.
production:
  <<: *default
  secret_key_base: <%%= ENV["SECRET_KEY_BASE"] %>
  smtp_username: <%%= ENV["SMTP_USERNAME"] %>
  smtp_password: <%%= ENV["SMTP_PASSWORD"] %>
  smtp_address: <%%= ENV["SMTP_ADDRESS"] %>
  smtp_domain: <%%= ENV["SMTP_DOMAIN"] %>
  smtp_port: "587"
  smtp_starttls_auto: true
  smtp_authentication: "plain"
